directories:
  output: dist
  buildResources: assets
files:
  - filter:
      - build/**/*
      - '**/*'
      - '!**/node_modules/*/{CHANGELOG.md,README.md,README,readme.md,readme}'
      - '!**/node_modules/*/{test,__tests__,tests,powered-test,example,examples}'
      - '!**/node_modules/*.d.ts'
      - '!**/node_modules/.bin'
      - '!**/*.{iml,o,hprof,orig,pyc,pyo,rbc,swp,csproj,sln,xproj}'
      - '!**/._*'
      - '!**/{.DS_Store,.git,.hg,.svn,CVS,RCS,SCCS,.gitignore,.gitattributes}'
      - '!**/*.ts'
      - '!**/{__pycache__,thumbs.db,.flowconfig,.idea,.vs,.nyc_output}'
      - '!**/{appveyor.yml,.travis.yml,circle.yml,.gitlab-ci.yml}'
      - '!**/{npm-debug.log,yarn.lock,yarn-error.log,.yarn-integrity,.yarn-metadata.json}'
      - '!{dist,public,scripts,sub_projects,src}/**/*'
      - '!{README.md,tsconfig.json,electron-builder.json,.gitignore,.env}'
extraMetadata:
  main: build/electron.js
productName: Label Designer 3
appId: isocodes.label.designer
asar: true
extraFiles: []
fileAssociations:
  - ext: ld3
    name: LD3
    icon: icons/ld3.ico
win:
  icon: icons/icon.ico
  target:
    - target: nsis
      arch:
        - x64
nsis:
  oneClick: false
  perMachine: false
  allowToChangeInstallationDirectory: true
mac:
  icon: icons/icon.icns
  category: public.app-category.business
  target:
    - zip
    - dmg
dmg:
  contents:
    - x: 130
      'y': 220
    - x: 410
      'y': 220
      type: link
      path: /Applications
linux:
  category: Development
  target:
    - AppImage
publish:
  provider: generic
  url: 'http://designer.server.printack.eu/updates/'
extends: react-cra
electronVersion: 9.1.1
